<?php
ini_set("soap.wsdl_cache_enabled", "0"); 

/* VatanSMS WHMCS SMS Addon with GNU/GPL Licence
 * vatansms - http://www.vatansms.com
 * Developed at Senioriz.com (www.senioriz.com)
 * Licence: GPLv3 (http://www.gnu.org/licenses/gpl-3.0.txt)
 * */
class vatansmsgateway extends VatanSms implements SmsSenderInterface
{

    public function __construct($message, $gsmnumber)
    {
        $this->message = $this->utilmessage($message);
        $this->gsmnumber = $this->utilmessage($gsmnumber);
    }

    public function send()
    {
        if ($this->gsmnumber == "numbererror") {
            $log[] = ("Number format error." . $this->gsmnumber);
            $error[] = ("Number format error." . $this->gsmnumber);
            return null;
        }
$TUR='Normal';

        $params = $this->getParams();
        
        
		$xml_data='data=<sms>
					<kno>'. $params->kno .'</kno> 
					<kulad>'. $params->user .'</kulad> 
					<sifre>'. $params->pass .'</sifre>    
					<gonderen>'. $params->senderid .'</gonderen> 
					<mesaj>'. $this->message .'</mesaj> 
					<numaralar>'. $this->gsmnumber .'</numaralar>
					<tur>'. $TUR .'</tur> 
					</sms>';
       
        $URL = "http://www.oztekbayi.com/panel/smsgonder1Npost.php";
        $ch = curl_init($URL);
        curl_setopt($ch, CURLOPT_MUTE, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: text/xml'));
        curl_setopt($ch, CURLOPT_POSTFIELDS, "$xml_data");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        $result = curl_exec($ch);
        curl_close($ch);

        $return = $result;
        $log[] = ("Sunucudan dönen cevap: " . $result);

        $result = explode(":", $result);
        if ($result[0] == "1") {
            $log[] = ("Mesaj Gönderildi.");
        } else {
            $log[] = ("Mesaj gönderilemedi. Hata: $return");
            $error[] = ("Mesaj gönderilirken hata oluştu. Hata: $return");
        }

        return array(
            'log' => $log,
            'error' => $error,
            'msgid' => $result[1],
        );
    }

    public function balance()
    {
        $params = $this->getParams();
        if ($params->user && $params->pass) {

				$SOAP = new SoapClient("http://www.oztekbayi.com/webservis/service.php?wsdl", array(
				"trace"      => 1,
				"exceptions" => 0));
				$KULLANICINO=$params->kno; 
				$KULLANICIADI=$params->user;
				$SIFRE=$params->pass;			
			
            

            $output = $SOAP->UyeBilgisiSorgula($KULLANICINO,$KULLANICIADI,$SIFRE); 
				
            if ($output == null) {
                return null;
            } else {
                
                
                $array = (explode("\n",$output));
$arrayy = $array[4];
$arrayyy = explode("Toplam SMS =", $arrayy);
$bakiye = $arrayyy[1];
    return $bakiye;

                
            }
        } else {
            return null;
        }
    }

    public function report($msgid)
    {
        $params = $this->getParams();
        if ($params->user && $params->pass && $msgid) {
			
			$xml_data='data=<smsrapor>
			<kulad>'. $params->user .'</kulad> 
			<sifre>'. $params->pass .'</sifre> 
			<ozelkod>'.$msgid .'</ozelkod>    
			</smsrapor>';  
			
           
            $URL = "http://www.ozteksms.com/panel/smstakippost.php";
            $ch = curl_init($URL);
            curl_setopt($ch, CURLOPT_MUTE, 1);
            curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: text/xml'));
            curl_setopt($ch, CURLOPT_POSTFIELDS, "$xml_data");
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $output = curl_exec($ch);
            curl_close($ch);

            if ($output) {
                return "success";
            } else {
                return "error";
            }
        } else {
            return null;
        }
    }

    
    public function utilgsmnumber($number)
    {
      
        return $number;
    }

    
    public function utilmessage($message)
    {
        return $message;
    }
}

return array(
    'value' => 'vatansmsgateway',
    'label' => 'VatanSMS SMS',
    'fields' => array(
        'user', 'pass', 'kno'
    )
);
