<?php
/* VatanSMS WHMCS SMS Addon with GNU/GPL Licence
 * vatansms - http://www.vatansms.com
 * Developed at Senioriz.com (www.senioriz.com)
 * Licence: GPLv3 (http://www.gnu.org/licenses/gpl-3.0.txt)
 * */
if (!defined("WHMCS"))
    die("This file cannot be accessed directly");

function vatansms_sms_config()
{
    $configarray = array(
        "name" => "Vatan Sms",
        "description" => "VatanSMS WHMCS Sms Addon. You can see details from: https://vatansms.com",
        "version" => "1.0.0",
        "author" => "Senioriz.com",
        "language" => "turkish",
    );
    return $configarray;
}

function vatansms_sms_activate()
{

    $query = "CREATE TABLE IF NOT EXISTS `mod_vatansms_messages` (`id` int(11) NOT NULL AUTO_INCREMENT,`sender` varchar(40) NOT NULL,`to` varchar(15) DEFAULT NULL,`text` text,`msgid` varchar(50) DEFAULT NULL,`status` varchar(10) DEFAULT NULL,`errors` text,`logs` text,`user` int(11) DEFAULT NULL,`datetime` datetime NOT NULL,PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
    mysql_query($query);

    $query = "CREATE TABLE IF NOT EXISTS `mod_vatansms_settings` (`id` int(11) NOT NULL AUTO_INCREMENT,`api` varchar(40) CHARACTER SET utf8 NOT NULL,`apiparams` varchar(500) CHARACTER SET utf8 NOT NULL,`dateformat` varchar(12) CHARACTER SET utf8 DEFAULT NULL,`version` varchar(6) CHARACTER SET utf8 DEFAULT NULL,PRIMARY KEY (`id`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;";
    mysql_query($query);

    $query = "INSERT INTO `mod_vatansms_settings` (`api`, `apiparams`, `dateformat`, `version`) VALUES ('', '', '%d.%m.%y','1.0.0');";
    mysql_query($query);

    $query = "CREATE TABLE IF NOT EXISTS `mod_vatansms_templates` (`id` int(11) NOT NULL AUTO_INCREMENT,`name` varchar(50) CHARACTER SET utf8 NOT NULL,`type` enum('client','admin') CHARACTER SET utf8 NOT NULL,`admingsm` varchar(255) CHARACTER SET utf8 NOT NULL,`template` varchar(240) CHARACTER SET utf8 NOT NULL,`variables` varchar(500) CHARACTER SET utf8 NOT NULL,`active` tinyint(1) NOT NULL,`extra` varchar(3) CHARACTER SET utf8 NOT NULL,`description` text CHARACTER SET utf8,PRIMARY KEY (`id`)) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;";
    mysql_query($query);

    //Creating hooks
    require_once("smsclass.php");
    $class = new VatanSms();
    $class->checkHooks();

    return array('status' => 'success', 'description' => 'Vatan Sms succesfully activated :)');
}

function vatansms_sms_deactivate()
{

    $query = "DROP TABLE `mod_vatansms_templates`";
    mysql_query($query);
    $query = "DROP TABLE `mod_vatansms_settings`";
    mysql_query($query);
    $query = "DROP TABLE `mod_vatansms_messages`";
    mysql_query($query);

    return array('status' => 'success', 'description' => 'Vatan Sms succesfully deactivated :(');
}

function vatansms_sms_upgrade($vars)
{
    $version = $vars['version'];

    switch ($version) {
        case "1":
        case "1.0.0":
      
            break;

    }

    $class = new VatanSms();
    $class->checkHooks();
}

function vatansms_sms_output($vars)
{
    $modulelink = $vars['modulelink'];
    $version = $vars['version'];
    $LANG = $vars['_lang'];
    putenv("TZ=Europe/Istanbul");


    $class = new VatanSms();


    $tab = $_GET['tab'];
     
	 echo '<div id="SMSAlert_plugin_container"><p>
    <style>
    .contentarea{
        background: #f5f5f5 !important;
        position: relative;
    }
    #clienttabs *{
    margin: inherit;
    padding: inherit;
    border: inherit;
    color: inherit;
    background: inherit;
    background-color: inherit;
    }
    #SMSAlert_plugin_container textarea{
        border: 1px solid #cccccc !important;
        padding: 5px !important;
    }
    #SMSAlert_plugin_container .internalDiv {
        text-align: left !important;;
        background:#fff !important;;
        margin: 0px !important;;
        padding: 5px !important;;
        border: 1px solid #ddd !important;
    }
    #SMSAlert_plugin_container .button {
        width: 140px !important;
        height: 43px !important;
        color: #666 !important;
        padding: 10px !important;
        margin-left: 31% !important;
        margin-top: 10px !important;
    }
    #SMSAlert_plugin_container input[type="checkbox"] { border-radius: 0px !important;}
	@media (min-width: 768px) {
    #SMSAlert_plugin_container input[type="text"],#SMSAlert_plugin_container .sel {
        width: 35% !important;
    }
	}
	@media (max-width: 768px) {
    #SMSAlert_plugin_container .textarea_message,#SMSAlert_plugin_container input,#SMSAlert_plugin_container .sel {
        width: 100% !important;
    }
    #clienttabs ul li {padding:0 7.5px !important;}
    }
    #clienttabs{position: relative; z-index: 99;}
     #clienttabs ul li {
        display: inline-block;
        margin-right: 3px;
        border: 1px solid #ddd;
        border-bottom:0px;
        padding: 12px;
        margin-bottom: -1px;
     }
     #clienttabs ul a {
     border: 0px;;
     }
     #clienttabs ul {
        float:left;
        margin-bottom:0px;
     }
     #clienttabs{
      float:left;
     }
     .tabselected{
        background-color:#fff !important;
     }
     table.form td.fieldarea{
        background-color:white !important;
     }
     table.form td {
        padding: 3px 15px !important;
     }

     table.form {
     padding-top: 20px !important;
     }

    </style>
    <div id="clienttabs">
        <ul>
            <li class="' . (($tab == "settings") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&tab=settings">' . $LANG['settings'] . '</a></li>
            <li class="' . ((@$_GET['type'] == "client") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&tab=templates&type=client">' . $LANG['clientsmstemplates'] . '</a></li>
            <li class="' . ((@$_GET['type'] == "admin") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&tab=templates&type=admin">' . $LANG['adminsmstemplates'] . '</a></li>
            <li class="' . (($tab == "sendbulk") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&tab=sendbulk">' . $LANG['sendsms'] . '</a></li>
            <li class="' . (($tab == "messages") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&amp;tab=messages">' . $LANG['messages'] . '</a></li>
            <li class="' . (($tab == "update") ? "tabselected" : "tab") . '"><a href="addonmodules.php?module=vatansms_sms&amp;tab=update">' . $LANG['update'] . '</a></li>
        </ul>
    </div>
	 <div style="clear:both;"></div>
    ';
    if (!isset($tab) || $tab == "settings") {
        /* UPDATE SETTINGS */
        if ($_POST['params']) {
            $update = array(
                "api" => $_POST['api'],
                "apiparams" => json_encode($_POST['params']),
                'dateformat' => $_POST['dateformat']
            );
            update_query("mod_vatansms_settings", $update, "");
        }
        /* UPDATE SETTINGS */

        $settings = $class->getSettings();
        $apiparams = json_decode($settings['apiparams']);

        
        /* CUSTOM FIELDS FINISH HIM */

        $classers = $class->getSenders();
        $classersoption = '';
        $classersfields = '';
        foreach ($classers as $classer) {
            $classersoption .= '<option value="' . $classer['value'] . '" ' . (($settings['api'] == $classer['value']) ? "selected=\"selected\"" : "") . '>' . $classer['label'] . '</option>';
            if ($settings['api'] == $classer['value']) {
                foreach ($classer['fields'] as $field) {
                    $classersfields .=
                        '<tr>
                            <td class="fieldlabel" width="30%">' . $LANG[$field] . '</td>
                            <td class="fieldarea"><input type="text" name="params[' . $field . ']" size="40" value="' . $apiparams->$field . '"></td>
                        </tr>';
                }
            }
        }

        echo '
        <script type="text/javascript">
            $(document).ready(function(){
                $("#api").change(function(){
                    $("#form").submit();
                });
            });
        </script>
        <form action="" method="post" id="form">
        <input type="hidden" name="action" value="save" />
		<div class="internalDiv">
			<span id="responsemsg"></span>
			<img src="https://www.vatansms.com/assets/images/vatansms-logo.png" width="100px;" style="float: left;margin-top: 60px;">
            
                <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
                    <tbody>
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['sender'] . '</td>
                            <td class="fieldarea">
                                <select name="api" id="api">
                                    ' . $classersoption . '
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['senderid'] . '</td>
                            <td class="fieldarea"><input type="text" name="params[senderid]" size="40" value="' . $apiparams->senderid . '"> e.g:  VatanSMS</td>
                        </tr>
                        ' . $classersfields . '
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['signature'] . '</td>
                            <td class="fieldarea"><input type="text" name="params[signature]" size="40" value="' . $apiparams->signature . '"> e.g:  www.VatanSMS.com</td>
                        </tr>
                        

                       
                        <tr class="hidden">
                            <td class="fieldlabel" width="30%">' . $LANG['dateformat'] . '</td>
                            <td class="fieldarea"><input type="text" name="dateformat" size="40" value="' . $settings['dateformat'] . '"> e.g:  %d.%m.%y (27.01.2014)</td>
                        </tr>
                    </tbody>
                </table>
        
            <p align="center"><input type="submit" value="' . $LANG['save'] . '" class="button" /></p>
			</div>
        </form>
        ';
    } elseif ($tab == "templates") {
        if ($_POST['submit']) {
            $where = array("type" => array("sqltype" => "LIKE", "value" => $_GET['type']));
            $result = select_query("mod_vatansms_templates", "*", $where);
            while ($data = mysql_fetch_array($result)) {
                if ($_POST[$data['id'] . '_active'] == "on") {
                    $tmp_active = 1;
                } else {
                    $tmp_active = 0;
                }
                $update = array(
                    "template" => $_POST[$data['id'] . '_template'],
                    "active" => $tmp_active
                );

                if (isset($_POST[$data['id'] . '_extra'])) {
                    $update['extra'] = trim($_POST[$data['id'] . '_extra']);
                }
                if (isset($_POST[$data['id'] . '_admingsm'])) {
                    $update['admingsm'] = $_POST[$data['id'] . '_admingsm'];
                    $update['admingsm'] = str_replace(" ", "", $update['admingsm']);
                }
                update_query("mod_vatansms_templates", $update, "id = " . $data['id']);
            }
        }

        echo '<form action="" method="post">
        <input type="hidden" name="action" value="save" />
            <div style="text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;">
                <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
                    <tbody>';
        $where = array("type" => array("sqltype" => "LIKE", "value" => $_GET['type']));
        $result = select_query("mod_vatansms_templates", "*", $where);

        while ($data = mysql_fetch_array($result)) {
            if ($data['active'] == 1) {
                $active = 'checked = "checked"';
            } else {
                $active = '';
            }
            $desc = json_decode($data['description']);
            if (isset($desc->$LANG['lang'])) {
                $name = $desc->$LANG['lang'];
            } else {
                $name = $data['name'];
            }
            echo '
                <tr>
                    <td class="fieldlabel" width="30%">' . $name . '</td>
                    <td class="fieldarea">
                        <textarea cols="50" name="' . $data['id'] . '_template">' . $data['template'] . '</textarea>
                    </td>
                </tr>';
            echo '
            <tr>
                <td class="fieldlabel" width="30%" style="float:right;">' . $LANG['active'] . '</td>
                <td><input type="checkbox" value="on" name="' . $data['id'] . '_active" ' . $active . '></td>
            </tr>
            ';
            echo '
            <tr>
                <td class="fieldlabel" width="30%" style="float:right;">' . $LANG['parameter'] . '</td>
                <td>' . $data['variables'] . '</td>
            </tr>
            ';

            if (!empty($data['extra'])) {
                echo '
                <tr>
                    <td class="fieldlabel" width="30%">' . $LANG['ekstra'] . '</td>
                    <td class="fieldarea">
                        <input type="text" name="' . $data['id'] . '_extra" value="' . $data['extra'] . '">
                    </td>
                </tr>
                ';
            }
            if ($_GET['type'] == "admin") {
                echo '
                <tr>
                    <td class="fieldlabel" width="30%">' . $LANG['admingsm'] . '</td>
                    <td class="fieldarea">
                        <input type="text" name="' . $data['id'] . '_admingsm" value="' . $data['admingsm'] . '">
                        ' . $LANG['admingsmornek'] . '
                    </td>
                </tr>
                ';
            }
            echo '<tr>
                <td colspan="2"><hr></td>
            </tr>';
        }
        echo '
        </tbody>
                </table>
            </div>
            <p align="center"><input type="submit" name="submit" value="Save Changes" class="button" /></p>
        </form>';

    } elseif ($tab == "messages") {
        if (!empty($_GET['deletesms'])) {
            $smsid = (int)$_GET['deletesms'];
            $sql = "DELETE FROM mod_vatansms_messages WHERE id = '$smsid'";
            mysql_query($sql);
        }
        echo '
        <!--<script src="http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/jquery.dataTables.min.js"></script>
        <link rel="stylesheet" href="http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/css/jquery.dataTables.css" type="text/css">
        <link rel="stylesheet" href="http://ajax.aspnetcdn.com/ajax/jquery.dataTables/1.9.4/css/jquery.dataTables_themeroller.css" type="text/css">
        <script type="text/javascript">
            $(document).ready(function(){
                $(".datatable").dataTable();
            });
        </script>-->

        <div style="text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;">
        <table class="datatable" border="0" cellspacing="1" cellpadding="3">
        <thead>
            <tr>
                <th>#</th>
                <th>' . $LANG['client'] . '</th>
                <th>' . $LANG['gsmnumber'] . '</th>
                <th>' . $LANG['message'] . '</th>
                <th>' . $LANG['datetime'] . '</th>
                <th>' . $LANG['status'] . '</th>
                <th width="20"></th>
            </tr>
        </thead>
        <tbody>
        ';

        // Getting pagination values.
        $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
        $limit = (isset($_GET['limit']) && $_GET['limit'] <= 50) ? (int)$_GET['limit'] : 10;
        $start = ($page > 1) ? ($page * $limit) - $limit : 0;
        $order = isset($_GET['order']) ? $_GET['order'] : 'DESC';
        /* Getting messages order by date desc */
        $sql = "SELECT `m`.*,`user`.`firstname`,`user`.`lastname`
        FROM `mod_vatansms_messages` as `m`
        JOIN `tblclients` as `user` ON `m`.`user` = `user`.`id`
        ORDER BY `m`.`datetime` {$order} limit {$start},{$limit}";
        $result = mysql_query($sql);
        $i = 0;

        //Getting total records
        $total = "SELECT count(id) as toplam FROM `mod_vatansms_messages`";
        $sonuc = mysql_query($total);
        $sonuc = mysql_fetch_array($sonuc);
        $toplam = $sonuc['toplam'];

        //Page calculation
        $sayfa = ceil($toplam / $limit);

        while ($data = mysql_fetch_array($result)) {
            if ($data['msgid'] && $data['status'] == "") {
                $status = $class->getReport($data['msgid']);
                mysql_query("UPDATE mod_vatansms_messages SET status = '$status' WHERE id = " . $data['id'] . "");
            } else {
                $status = $data['status'];
            }

            $i++;
            echo '<tr>
            <td>' . $data['id'] . '</td>
            <td><a href="clientssummary.php?userid=' . $data['user'] . '">' . $data['firstname'] . ' ' . $data['lastname'] . '</a></td>
            <td>' . $data['to'] . '</td>
            <td>' . $data['text'] . '</td>
            <td>' . $data['datetime'] . '</td>
            <td>' . $LANG[$status] . '</td>
            <td><a href="addonmodules.php?module=vatansms_sms&tab=messages&deletesms=' . $data['id'] . '" title="' . $LANG['delete'] . '"><img src="images/delete.gif" width="16" height="16" border="0" alt="Delete"></a></td></tr>';
        }
        /* Getting messages order by date desc */

        echo '
        </tbody>
        </table>

        ';
        $list = "";
        for ($a = 1; $a <= $sayfa; $a++) {
            $selected = ($page == $a) ? 'selected="selected"' : '';
            $list .= "<option value='addonmodules.php?module=vatansms_sms&tab=messages&page={$a}&limit={$limit}&order={$order}' {$selected}>{$a}</option>";
        }
        echo "<select  onchange=\"this.options[this.selectedIndex].value && (window.location = this.options[this.selectedIndex].value);\">{$list}</select></div>";

    } elseif ($tab == "sendbulk") {
        $settings = $class->getSettings();
        
 
        if (!empty(isset($_POST['client']))) {
            foreach ($_POST['client'] as $client) {
                $amin = $client;
               
            
            $userinf = explode("_", $client);
            $userid = $userinf[0];
            $gsmnumber = $userinf[1];
            

$gsmnoamin = $gsmnumber;
            $class->setGsmnumber($gsmnoamin);
           $class->setMessage($_POST['message']); 
            $class->setUserid($userid);
            
            $result = $class->send();
            if ($result == false) {
                echo $class->getErrors();
            } else {
                echo $LANG['smssent'] . ' ' . $gsmnumber;
            }

            if ($_POST["debug"] == "ON") {
                $debug = 1;
            }
            }
        }

        $userSql = "SELECT `a`.`id`,`a`.`firstname`, `a`.`lastname`, `a`.`country`, `a`.`phonenumber` as `gsmnumber`
        FROM `tblclients` as `a` order by `a`.`firstname`";
        $clients = '';
        $result = mysql_query($userSql);
        while ($data = mysql_fetch_array($result)) {
            $clients .= '<option value="' . $data['id'] . '_' . $data['gsmnumber'] . '">' . $data['firstname'] . ' ' . $data['lastname'] . ' (#' . $data['id'] . ')</option>';
        }
        echo '
        <script>
        jQuery.fn.filterByText = function(textbox, selectSingleMatch) {
          return this.each(function() {
            var select = this;
            var options = [];
            $(select).find("option").each(function() {
              options.push({value: $(this).val(), text: $(this).text()});
            });
            $(select).data("options", options);
            $(textbox).bind("change keyup", function() {
              var options = $(select).empty().scrollTop(0).data("options");
              var search = $.trim($(this).val());
              var regex = new RegExp(search,"gi");

              $.each(options, function(i) {
                var option = options[i];
                if(option.text.match(regex) !== null) {
                  $(select).append(
                     $("<option>").text(option.text).val(option.value)
                  );
                }
              });
              if (selectSingleMatch === true && 
                  $(select).children().length === 1) {
                $(select).children().get(0).selected = true;
              }
            });
          });
        };
        $(function() {
          $("#clientdrop").filterByText($("#textbox"), true);
        });  
        </script>';
        echo '<form action="" method="post">
        <input type="hidden" name="action" value="save" />
            <div style="text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;">
                <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
                    <tbody>
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['client'] . '</td>
                            <td class="fieldarea">
                                <input id="textbox" type="text" placeholder="Filtrelemek İçin İsim Yazınız" style="width:498px;padding:5px"><br>
                                <select name="client[]" multiple id="clientdrop" style="width:512px;padding:5px">
                                    <option value="">' . $LANG['selectclient'] . '</option>
                                    ' . $clients . '
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['message'] . '</td>
                            <td class="fieldarea">
                               <textarea cols="70" rows="20" name="message" style="width:498px;padding:5px"></textarea>
                            </td>
                        </tr>
                        <tr>
                            <td class="fieldlabel" width="30%">' . $LANG['debug'] . '</td>
                            <td class="fieldlabel"><input type="checkbox" name="debug" value="ON"></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <p align="center"><input type="submit" value="' . $LANG['send'] . '" class="button" /></p>
        </form>';

        if (isset($debug)) {
            echo $class->getLogs();
        }
    } elseif ($tab == "update") {
        $currentversion = file_get_contents("https://vatansms.com/whmcs/version.txt");
        echo '<div style="text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;">';
        if ($version != $currentversion) {
            echo $LANG['newversion'];
        } else {
            echo $LANG['uptodate'] . '<br><br>';
        }
        echo '</div>';
    }

   $credit = $class->getBalance();
  
    if ($credit) {
        echo '
            <div class="box" style="position: absolute;top: 0;left: 50%;transform: translateX(-50%);text-align: left;margin: 0px;padding: 0px;font-size: 16px;line-height: 50px;color: #f4ae0f;font-weight: 800;"><p>Kalan SMS Kredisi: ' . $credit . ' </p></div>';
    }
    else{
		echo $credit;
	}


    echo $LANG['lisans'];
	echo '</div>';
}
